Managed Service for OpenSearch API, REST: User.Get
Статья создана
Обновлена 4 сентября 2026 г.
Returns the specified OpenSearch user.
HTTP request
GET https://mdb.api.cloud.yandex.net/managed-opensearch/v1/clusters/{clusterId}/users/{userName}
Path parameters
|
Field |
Description |
|
clusterId |
string Required field. Required. ID of the OpenSearch cluster. The maximum string length in characters is 50. |
|
userName |
string Required field. Required. Name of the user to return. The maximum string length in characters is 63. Value must match the regular expression |
Response
HTTP Code: 200 - OK
{
"name": "string",
"connectionManager": {
"connectionId": "string"
}
}
An OpenSearch user.
|
Field |
Description |
|
name |
string Name of the user. |
|
connectionManager |
Connection Manager connection associated with the user. Read only field. |
ConnectionManager
|
Field |
Description |
|
connectionId |
string ID of the Connection Manager connection. |